Skip to main content
PUT
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
{jobUid}
Edit job
curl --request PUT \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/{jobUid} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "NEW",
  "dateDue": "2023-11-07T05:31:56Z",
  "providers": [
    {
      "type": "<string>",
      "id": "<string>"
    }
  ]
}
'
{
  "uid": "<string>",
  "innerId": "<string>",
  "status": "NEW",
  "providers": [
    {
      "type": "<string>",
      "id": "<string>",
      "uid": "<string>"
    }
  ],
  "sourceLang": "<string>",
  "targetLang": "<string>",
  "workflowLevel": 123,
  "workflowStep": {
    "name": "<string>",
    "id": "<string>",
    "order": 123,
    "workflowLevel": 123
  },
  "filename": "<string>",
  "dateDue": "2023-11-07T05:31:56Z",
  "wordsCount": 123,
  "beginIndex": 123,
  "endIndex": 123,
  "isParentJobSplit": true,
  "updateSourceDate": "2023-11-07T05:31:56Z",
  "updateTargetDate": "2023-11-07T05:31:56Z",
  "dateCreated": "2023-11-07T05:31:56Z",
  "jobReference": {
    "uid": "<string>",
    "filename": "<string>"
  },
  "project": {
    "name": "<string>",
    "uid": "<string>"
  },
  "lastWorkflowLevel": 123,
  "workUnit": {},
  "importStatus": {
    "status": "RUNNING",
    "errorMessage": "<string>"
  },
  "imported": true,
  "continuous": true,
  "continuousJobInfo": {
    "dateUpdated": "2023-11-07T05:31:56Z"
  },
  "originalFileDirectory": "<string>",
  "serverTaskId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required
jobUid
string
required

Body

application/json
status
enum<string>
required
Available options:
NEW,
ACCEPTED,
DECLINED,
REJECTED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
dateDue
string<date-time>
providers
object[]

Response

successful operation

uid
string
innerId
string

InnerId is a sequential number of a job in a project. Jobs created from the same file share the same innerId across workflow steps.

status
enum<string>
Available options:
NEW,
ACCEPTED,
DECLINED,
REJECTED,
DELIVERED,
EMAILED,
COMPLETED,
CANCELLED
providers
object[]
sourceLang
string
targetLang
string
workflowLevel
integer<int32>
workflowStep
object
filename
string
dateDue
string<date-time>
wordsCount
integer<int32>
beginIndex
integer<int32>
endIndex
integer<int32>
isParentJobSplit
boolean
updateSourceDate
string<date-time>
updateTargetDate
string<date-time>
dateCreated
string<date-time>
jobReference
object
project
object
lastWorkflowLevel
integer<int32>
workUnit
object
importStatus
object
imported
boolean
continuous
boolean
continuousJobInfo
object
originalFileDirectory
string
serverTaskId
string